Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037912
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-02-14 10:382018-02-22 18:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisione549accfb295
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037912: Upgrade Apache HttpComponents

DescriptionUpgrade Apache HttpComponents libraries to their latest versions:

- httpcore-4.0.1.jar -> httpcore-4.4.9.jar
- httpclient-4.0.jar -> httpclient-4.5.5.jar
  The HttpClient library requires to update the following dependent libraries also:
    - commons-codec-1.5.jar -> commons-codec-1.11.jar
    - commons-logging-1.1.1.jar -> commons-logging-1.2.jar
- httpmime-4.1.jar -> httpmime-4.5.5.jar
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00379103.0PR18Q2 closedcaristu Openbravo ERP API change required to upgrade the Apache HttpComponents 
related to defect 0037914 closedcaristu Modules Fix deprecation warnings in Zoho Integration after HttpClient and HttpClient Mime libraries upgrade 
related to defect 0037924 closedguilleaer Retail Modules Remove warnings appeared with the Upgrade of Apache HttpComponents 
related to feature request 0039220 closedplatform Modules Replace pdfbox-app-2.0.0 bundle library with its components 

-  Notes
(0102408)
hgbot (developer)
2018-02-14 16:55

Repository: erp/devel/pi
Changeset: e549accfb295a054297a63c891bb17db81257877
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Feb 14 16:54:40 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e549accfb295a054297a63c891bb17db81257877 [^]

fixes issue 37912: Upgrade Apache HttpComponents

  - Upgraded HttpCore from 4.0.1 to 4.4.9
  - Upgraded HttpClient from 4.0 to 4.5.5
  - Upgraded HttpClient dependencies: Commons Codec from 1.5 to 1.11 and Commons Logging from 1.1.1 to 1.2
  - Upgraded HttpClient Mime from 4.1 to 4.5.5

---
M legal/Licensing.txt
M src-core/.classpath
A lib/runtime/commons-codec-1.11.jar
A lib/runtime/commons-logging-1.2.jar
A modules/org.openbravo.client.application/lib/runtime/httpclient-4.5.5.jar
A modules/org.openbravo.client.application/lib/runtime/httpcore-4.4.9.jar
A modules/org.openbravo.client.application/lib/runtime/httpmime-4.5.5.jar
R lib/runtime/commons-codec-1.5.jar
R lib/runtime/commons-logging-1.1.1.jar
R modules/org.openbravo.client.application/lib/runtime/httpclient-4.0.jar
R modules/org.openbravo.client.application/lib/runtime/httpcore-4.0.1.jar
R modules/org.openbravo.client.application/lib/runtime/httpmime-4.1.jar
---
(0102410)
caristu (developer)
2018-02-14 17:39

Updated wiki page with new versions: http://wiki.openbravo.com/wiki/Openbravo_Libraries [^]
(0102460)
alostale (developer)
2018-02-16 12:42

reviewed
(0102759)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-14 10:38 caristu New Issue
2018-02-14 10:38 caristu Assigned To => platform
2018-02-14 10:38 caristu Modules => Core
2018-02-14 10:38 caristu Triggers an Emergency Pack => No
2018-02-14 10:40 caristu Description Updated View Revisions
2018-02-14 10:40 caristu Description Updated View Revisions
2018-02-14 10:40 caristu Assigned To platform => caristu
2018-02-14 10:40 caristu Relationship added related to 0037910
2018-02-14 13:53 caristu Relationship added related to 0037914
2018-02-14 16:55 hgbot Checkin
2018-02-14 16:55 hgbot Note Added: 0102408
2018-02-14 16:55 hgbot Status new => resolved
2018-02-14 16:55 hgbot Resolution open => fixed
2018-02-14 16:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e549accfb295a054297a63c891bb17db81257877 [^]
2018-02-14 17:39 caristu Note Added: 0102410
2018-02-14 18:58 caristu Review Assigned To => alostale
2018-02-15 10:43 guilleaer Relationship added related to 0037924
2018-02-16 12:42 alostale Note Added: 0102460
2018-02-16 12:42 alostale Status resolved => closed
2018-02-16 12:42 alostale Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102759
2018-09-04 11:25 caristu Relationship added related to 0039220


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker